<!--
  Generated template for the SearchPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="primary">
    <ion-title>Search</ion-title>
  </ion-navbar>

</ion-header>


<ion-content>
  <div class="searchBox">
    <span class="search"></span>
    <ion-item>
      <ion-input [(ngModel)]="keyword" placeholder="Enter Title, Author, or Keyword"></ion-input>
      <button ion-button name="search" item-right class="btnSearch" (click)="search()">
        Search
      </button>
    </ion-item>

  </div>

  <ion-list class="bookList" >

    <ion-list-header class="listofbooks">
      List of Material(s)
    </ion-list-header>
  <div *ngFor="let book of books" class="listofbooks">
    <button ion-item class="book-item" (click)="openBookInfo(book.acquisition_number,book.title,book.author,book.edition, book.copyright_date, book.section)">{{book.title}}
      <br> <a class="Author"> Author : {{book.author}}</a>
      <br> <a class="Author">Edition: {{book.edition}}</a>
    </button>


  </div>
  </ion-list>
</ion-content>
